/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
// Note: Assigned negative integers to avoid clashing with MergeTreeDeltaType
export var MergeTreeMaintenanceType;
(function (MergeTreeMaintenanceType) {
    MergeTreeMaintenanceType[MergeTreeMaintenanceType["APPEND"] = -1] = "APPEND";
    MergeTreeMaintenanceType[MergeTreeMaintenanceType["SPLIT"] = -2] = "SPLIT";
    /**
     * Notification that a segment has been unlinked from the MergeTree.  This occurs during
     * Zamboni when:
     *
     *    a) The minSeq has moved past the segment's removeSeq, in which case the segment
     *       can no longer be referenced by incoming remote ops, and...
     *
     *    b) The segment's tracking collection is empty (e.g., not being tracked for undo/redo).
     */
    MergeTreeMaintenanceType[MergeTreeMaintenanceType["UNLINK"] = -3] = "UNLINK";
    /**
     * Notification that a local change has been acknowledged by the server.
     * This means that it has made the round trip to the server and has had a sequence number assigned.
     */
    MergeTreeMaintenanceType[MergeTreeMaintenanceType["ACKNOWLEDGED"] = -4] = "ACKNOWLEDGED";
})(MergeTreeMaintenanceType || (MergeTreeMaintenanceType = {}));
//# sourceMappingURL=mergeTreeDeltaCallback.js.map